body{
    background:#181818;
    color:#eaeaea;
    margin:0;
    font-family: Arial, sans-serif;
}

.navbar{
    display:flex;
    justify-content:space-between;
    align-items:center;
    background:#1d1d1d;
    padding:15px 40px;
}

.logo{
    color:white;
    font-size:20px;
    font-weight:bold;
}

.nav-links{
    list-style:none;
    display:flex;
    gap:25px;
}

.nav-links a{
    text-decoration:none;
    color:white;
    font-size:16px;
}

.nav-links a:hover{
    color:#00bfff;
}


.hero{
    display: flex;
    align-items: center;
    justify-content: space-around;
    gap: 5%;
    padding: 5%;
}

.hero video{
    width: 50%;
    border-radius: 10px;
}

.hero-text{
    max-width: 500px;
    text-align: center;
}

.hero-text h1{
    font-size: 40px;
    margin-bottom: 3rem;
}

.hero-text p{
    font-size: 18px;
    line-height: 1.6;
}
h1{
    text-align:center;
    color:#4da3ff;
}
.task{
    background:#141414;
    padding:20px;
    margin:20px 0;
    border-radius:10px;
    border:1px solid #222;
}
button{
    background:#4da3ff;
    border:none;
    padding:8px 14px;
    border-radius:6px;
    cursor:pointer;
}
button:hover{
    background:#2f7cd6;
}
.solution{
    display:none;
    margin-top:10px;
}
pre{
    background:#000;
    padding:10px;
    border-radius:6px;
    overflow:auto;
}



header {
    text-align: center;
    padding: 50px 20px 30px 20px;
    color: white;
}

header h1 {
    font-size: 36px;
    margin-bottom: 15px;
}

header p {
    font-size: 18px;
    line-height: 1.6;
}

.contact-info {
    max-width: 600px;
    margin: 0 auto;
    padding: 30px 20px;
}

.contact-item {
    margin-bottom: 20px;
    font-size: 18px;
}

.contact-item span {
    font-weight: bold;
    margin-right: 10px;
}

.contact-item a {
    color: #0080ff;
    text-decoration: none;
}

.contact-item a:hover {
    text-decoration: underline;
}



main {
    max-width: 900px;
    margin: 0 auto;
    padding: 40px 20px;
}
main section{
    margin-bottom: 50px;
    background-color: rgb(32, 32, 32);
    padding: 30px;
    border-radius: 10px;
    box-shadow: 0 4px 10px rgba(36, 36, 36, 0.1);
}

main section h2 {
    color: #1e90ff;
    margin-bottom: 20px;
}

main section ul {
    list-style: disc inside;
    padding-left: 0;
}

main section p {
    margin-bottom: 15px;
}

main section a {
    color: #1e90ff;
    text-decoration: none;
}


















/* POPUP jak jeszcze nie ma materialow */


.popup {
    display: none; /* ukryty domyślnie */
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0,0,0,0.5);
}

.popup-content {
    background-color: rgb(15, 15, 15);
    margin: 15% auto;
    padding: 30px;
    border-radius: 10px;
    width: 300px;
    position: relative;
}

.close {
    position: absolute;
    top: 10px;
    right: 15px;
    font-size: 25px;
    cursor: pointer;
}